org.apache.hadoop.mapreduce.task.reduce

## Class MapOutput<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.task.reduce.MapOutput<K,V>

- Direct Known Subclasses:
    IFileWrappedMapOutput

      @InterfaceAudience.LimitedPrivate(value="MapReduce")
       @InterfaceStability.Unstable
      public abstract class MapOutput<K,V>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapOutput.MapOutputComparator<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapOutput(TaskAttemptID mapId, long size, boolean primaryMapOutput)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `abort()`
    `abstract void` | `commit()`
    `boolean` | `equals(Object obj)`
    `abstract String` | `getDescription()`
    `TaskAttemptID` | `getMapId()`
    `long` | `getSize()`
    `int` | `hashCode()`
    `boolean` | `isPrimaryMapOutput()`
    `abstract void` | `shuffle(MapHost host, InputStream input, long compressedLength, long decompressedLength, ShuffleClientMetrics metrics, Reporter reporter)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapOutput

          public MapOutput(TaskAttemptID mapId,
                           long size,
                           boolean primaryMapOutput)

  - ### Method Detail

    - #### isPrimaryMapOutput

          public boolean isPrimaryMapOutput()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getMapId

          public TaskAttemptID getMapId()

    - #### getSize

          public long getSize()

    - #### shuffle

          public abstract void shuffle(MapHost host,
                                       InputStream input,
                                       long compressedLength,
                                       long decompressedLength,
                                       ShuffleClientMetrics metrics,
                                       Reporter reporter)
                                throws IOException

      Throws:
        `IOException`

    - #### commit

          public abstract void commit()
                               throws IOException

      Throws:
        `IOException`

    - #### abort

          public abstract void abort()

    - #### getDescription

          public abstract String getDescription()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.